import type { PropType } from "vue";
import { type InputNumberValue, type InputValue } from "tdesign-vue-next";
declare const _sfc_main: import("vue").DefineComponent<{
    modelValue: {
        default: string;
    };
    type: {
        type: StringConstructor;
        default: string;
    };
    autoFocus: {
        type: PropType<boolean>;
        default: boolean;
    };
    blurFinish: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    props: any;
    $emit: (event: "update:modelValue" | "finish", ...args: any[]) => void;
    handleOperation: (value: InputValue | InputNumberValue, type: "enter" | "blur") => void;
    handleChange: (value: any) => void;
    readonly TInput: {
        new (...args: any[]): {
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                type: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
                name: string;
                value: string;
                autocomplete: string;
                autofocus: boolean;
                disabled: boolean;
                size: import("tdesign-vue-next/es/common").SizeEnum;
                readonly: boolean;
                status: "default" | "error" | "success" | "warning";
                placeholder: string;
                align: "center" | "left" | "right";
                modelValue: string;
                defaultValue: string;
                allowInputOverMax: boolean;
                showInput: boolean;
                keepWrapperWidth: boolean;
                allowTriggerBlur: boolean;
                autoWidth: boolean;
                clearable: boolean;
                showClearIconOnEmpty: boolean;
                showLimitNumber: boolean;
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                showInput: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                keepWrapperWidth: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                allowTriggerBlur: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                align: {
                    type: PropType<"center" | "left" | "right">;
                    default: "center" | "left" | "right";
                    validator(val: "center" | "left" | "right"): boolean;
                };
                allowInputOverMax: BooleanConstructor;
                autoWidth: BooleanConstructor;
                autocomplete: {
                    type: StringConstructor;
                    default: any;
                };
                autofocus: BooleanConstructor;
                clearable: BooleanConstructor;
                disabled: BooleanConstructor;
                format: {
                    type: PropType<import("tdesign-vue-next").InputFormatType>;
                };
                inputClass: {
                    type: PropType<import("tdesign-vue-next/es/common").ClassName>;
                };
                label: {
                    type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                maxcharacter: {
                    type: NumberConstructor;
                };
                maxlength: {
                    type: NumberConstructor;
                };
                name: {
                    type: StringConstructor;
                    default: string;
                };
                placeholder: {
                    type: StringConstructor;
                    default: any;
                };
                prefixIcon: {
                    type: PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                readonly: BooleanConstructor;
                showClearIconOnEmpty: BooleanConstructor;
                showLimitNumber: BooleanConstructor;
                size: {
                    type: PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                    default: import("tdesign-vue-next/es/common").SizeEnum;
                    validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
                };
                status: {
                    type: PropType<"default" | "error" | "success" | "warning">;
                    default: "default" | "error" | "success" | "warning";
                    validator(val: "default" | "error" | "success" | "warning"): boolean;
                };
                suffix: {
                    type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                suffixIcon: {
                    type: PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                tips: {
                    type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                type: {
                    type: PropType<"number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel">;
                    default: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
                    validator(val: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel"): boolean;
                };
                value: {
                    type: PropType<string>;
                    default: any;
                };
                modelValue: {
                    type: PropType<string>;
                    default: any;
                };
                defaultValue: {
                    type: PropType<string>;
                    default: string;
                };
                onBlur: PropType<(value: string, context: {
                    e: FocusEvent;
                }) => void>;
                onChange: PropType<(value: string, context?: {
                    e?: MouseEvent | CompositionEvent | InputEvent;
                    trigger: "initial" | "clear" | "input";
                }) => void>;
                onClear: PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onClick: PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onCompositionend: PropType<(value: string, context: {
                    e: CompositionEvent;
                }) => void>;
                onCompositionstart: PropType<(value: string, context: {
                    e: CompositionEvent;
                }) => void>;
                onEnter: PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onFocus: PropType<(value: string, context: {
                    e: FocusEvent;
                }) => void>;
                onKeydown: PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onKeypress: PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onKeyup: PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onMouseenter: PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onMouseleave: PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onPaste: PropType<(context: {
                    e: ClipboardEvent;
                    pasteValue: string;
                }) => void>;
                onValidate: PropType<(context: {
                    error?: "exceed-maximum" | "below-minimum";
                }) => void>;
                onWheel: PropType<(context: {
                    e: WheelEvent;
                }) => void>;
            }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "name" | "value" | "type" | "disabled" | "size" | "modelValue" | "autoWidth" | "clearable" | "placeholder" | "readonly" | "status" | "defaultValue" | "showInput" | "keepWrapperWidth" | "allowTriggerBlur" | "align" | "allowInputOverMax" | "autocomplete" | "autofocus" | "showClearIconOnEmpty" | "showLimitNumber">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $emit: (event: string, ...args: any[]) => void;
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                showInput: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                keepWrapperWidth: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                allowTriggerBlur: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                align: {
                    type: PropType<"center" | "left" | "right">;
                    default: "center" | "left" | "right";
                    validator(val: "center" | "left" | "right"): boolean;
                };
                allowInputOverMax: BooleanConstructor;
                autoWidth: BooleanConstructor;
                autocomplete: {
                    type: StringConstructor;
                    default: any;
                };
                autofocus: BooleanConstructor;
                clearable: BooleanConstructor;
                disabled: BooleanConstructor;
                format: {
                    type: PropType<import("tdesign-vue-next").InputFormatType>;
                };
                inputClass: {
                    type: PropType<import("tdesign-vue-next/es/common").ClassName>;
                };
                label: {
                    type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                maxcharacter: {
                    type: NumberConstructor;
                };
                maxlength: {
                    type: NumberConstructor;
                };
                name: {
                    type: StringConstructor;
                    default: string;
                };
                placeholder: {
                    type: StringConstructor;
                    default: any;
                };
                prefixIcon: {
                    type: PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                readonly: BooleanConstructor;
                showClearIconOnEmpty: BooleanConstructor;
                showLimitNumber: BooleanConstructor;
                size: {
                    type: PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                    default: import("tdesign-vue-next/es/common").SizeEnum;
                    validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
                };
                status: {
                    type: PropType<"default" | "error" | "success" | "warning">;
                    default: "default" | "error" | "success" | "warning";
                    validator(val: "default" | "error" | "success" | "warning"): boolean;
                };
                suffix: {
                    type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                suffixIcon: {
                    type: PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
                };
                tips: {
                    type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                type: {
                    type: PropType<"number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel">;
                    default: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
                    validator(val: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel"): boolean;
                };
                value: {
                    type: PropType<string>;
                    default: any;
                };
                modelValue: {
                    type: PropType<string>;
                    default: any;
                };
                defaultValue: {
                    type: PropType<string>;
                    default: string;
                };
                onBlur: PropType<(value: string, context: {
                    e: FocusEvent;
                }) => void>;
                onChange: PropType<(value: string, context?: {
                    e?: MouseEvent | CompositionEvent | InputEvent;
                    trigger: "initial" | "clear" | "input";
                }) => void>;
                onClear: PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onClick: PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onCompositionend: PropType<(value: string, context: {
                    e: CompositionEvent;
                }) => void>;
                onCompositionstart: PropType<(value: string, context: {
                    e: CompositionEvent;
                }) => void>;
                onEnter: PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onFocus: PropType<(value: string, context: {
                    e: FocusEvent;
                }) => void>;
                onKeydown: PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onKeypress: PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onKeyup: PropType<(value: string, context: {
                    e: KeyboardEvent;
                }) => void>;
                onMouseenter: PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onMouseleave: PropType<(context: {
                    e: MouseEvent;
                }) => void>;
                onPaste: PropType<(context: {
                    e: ClipboardEvent;
                    pasteValue: string;
                }) => void>;
                onValidate: PropType<(context: {
                    error?: "exceed-maximum" | "below-minimum";
                }) => void>;
                onWheel: PropType<(context: {
                    e: WheelEvent;
                }) => void>;
            }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
                type: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
                name: string;
                value: string;
                autocomplete: string;
                autofocus: boolean;
                disabled: boolean;
                size: import("tdesign-vue-next/es/common").SizeEnum;
                readonly: boolean;
                status: "default" | "error" | "success" | "warning";
                placeholder: string;
                align: "center" | "left" | "right";
                modelValue: string;
                defaultValue: string;
                allowInputOverMax: boolean;
                showInput: boolean;
                keepWrapperWidth: boolean;
                allowTriggerBlur: boolean;
                autoWidth: boolean;
                clearable: boolean;
                showClearIconOnEmpty: boolean;
                showLimitNumber: boolean;
            }, {}, string> & {
                beforeCreate?: (() => void) | (() => void)[];
                created?: (() => void) | (() => void)[];
                beforeMount?: (() => void) | (() => void)[];
                mounted?: (() => void) | (() => void)[];
                beforeUpdate?: (() => void) | (() => void)[];
                updated?: (() => void) | (() => void)[];
                activated?: (() => void) | (() => void)[];
                deactivated?: (() => void) | (() => void)[];
                beforeDestroy?: (() => void) | (() => void)[];
                beforeUnmount?: (() => void) | (() => void)[];
                destroyed?: (() => void) | (() => void)[];
                unmounted?: (() => void) | (() => void)[];
                renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void)[];
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            showInput: {
                type: BooleanConstructor;
                default: boolean;
            };
            keepWrapperWidth: {
                type: BooleanConstructor;
                default: boolean;
            };
            allowTriggerBlur: {
                type: BooleanConstructor;
                default: boolean;
            };
            align: {
                type: PropType<"center" | "left" | "right">;
                default: "center" | "left" | "right";
                validator(val: "center" | "left" | "right"): boolean;
            };
            allowInputOverMax: BooleanConstructor;
            autoWidth: BooleanConstructor;
            autocomplete: {
                type: StringConstructor;
                default: any;
            };
            autofocus: BooleanConstructor;
            clearable: BooleanConstructor;
            disabled: BooleanConstructor;
            format: {
                type: PropType<import("tdesign-vue-next").InputFormatType>;
            };
            inputClass: {
                type: PropType<import("tdesign-vue-next/es/common").ClassName>;
            };
            label: {
                type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            maxcharacter: {
                type: NumberConstructor;
            };
            maxlength: {
                type: NumberConstructor;
            };
            name: {
                type: StringConstructor;
                default: string;
            };
            placeholder: {
                type: StringConstructor;
                default: any;
            };
            prefixIcon: {
                type: PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
            };
            readonly: BooleanConstructor;
            showClearIconOnEmpty: BooleanConstructor;
            showLimitNumber: BooleanConstructor;
            size: {
                type: PropType<import("tdesign-vue-next/es/common").SizeEnum>;
                default: import("tdesign-vue-next/es/common").SizeEnum;
                validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
            };
            status: {
                type: PropType<"default" | "error" | "success" | "warning">;
                default: "default" | "error" | "success" | "warning";
                validator(val: "default" | "error" | "success" | "warning"): boolean;
            };
            suffix: {
                type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            suffixIcon: {
                type: PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
            };
            tips: {
                type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            type: {
                type: PropType<"number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel">;
                default: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
                validator(val: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel"): boolean;
            };
            value: {
                type: PropType<string>;
                default: any;
            };
            modelValue: {
                type: PropType<string>;
                default: any;
            };
            defaultValue: {
                type: PropType<string>;
                default: string;
            };
            onBlur: PropType<(value: string, context: {
                e: FocusEvent;
            }) => void>;
            onChange: PropType<(value: string, context?: {
                e?: MouseEvent | CompositionEvent | InputEvent;
                trigger: "initial" | "clear" | "input";
            }) => void>;
            onClear: PropType<(context: {
                e: MouseEvent;
            }) => void>;
            onClick: PropType<(context: {
                e: MouseEvent;
            }) => void>;
            onCompositionend: PropType<(value: string, context: {
                e: CompositionEvent;
            }) => void>;
            onCompositionstart: PropType<(value: string, context: {
                e: CompositionEvent;
            }) => void>;
            onEnter: PropType<(value: string, context: {
                e: KeyboardEvent;
            }) => void>;
            onFocus: PropType<(value: string, context: {
                e: FocusEvent;
            }) => void>;
            onKeydown: PropType<(value: string, context: {
                e: KeyboardEvent;
            }) => void>;
            onKeypress: PropType<(value: string, context: {
                e: KeyboardEvent;
            }) => void>;
            onKeyup: PropType<(value: string, context: {
                e: KeyboardEvent;
            }) => void>;
            onMouseenter: PropType<(context: {
                e: MouseEvent;
            }) => void>;
            onMouseleave: PropType<(context: {
                e: MouseEvent;
            }) => void>;
            onPaste: PropType<(context: {
                e: ClipboardEvent;
                pasteValue: string;
            }) => void>;
            onValidate: PropType<(context: {
                error?: "exceed-maximum" | "below-minimum";
            }) => void>;
            onWheel: PropType<(context: {
                e: WheelEvent;
            }) => void>;
        }>> & import("vue").ShallowUnwrapRef<() => JSX.Element> & import("vue").ComponentCustomProperties;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        showInput: {
            type: BooleanConstructor;
            default: boolean;
        };
        keepWrapperWidth: {
            type: BooleanConstructor;
            default: boolean;
        };
        allowTriggerBlur: {
            type: BooleanConstructor;
            default: boolean;
        };
        align: {
            type: PropType<"center" | "left" | "right">;
            default: "center" | "left" | "right";
            validator(val: "center" | "left" | "right"): boolean;
        };
        allowInputOverMax: BooleanConstructor;
        autoWidth: BooleanConstructor;
        autocomplete: {
            type: StringConstructor;
            default: any;
        };
        autofocus: BooleanConstructor;
        clearable: BooleanConstructor;
        disabled: BooleanConstructor;
        format: {
            type: PropType<import("tdesign-vue-next").InputFormatType>;
        };
        inputClass: {
            type: PropType<import("tdesign-vue-next/es/common").ClassName>;
        };
        label: {
            type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        maxcharacter: {
            type: NumberConstructor;
        };
        maxlength: {
            type: NumberConstructor;
        };
        name: {
            type: StringConstructor;
            default: string;
        };
        placeholder: {
            type: StringConstructor;
            default: any;
        };
        prefixIcon: {
            type: PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
        };
        readonly: BooleanConstructor;
        showClearIconOnEmpty: BooleanConstructor;
        showLimitNumber: BooleanConstructor;
        size: {
            type: PropType<import("tdesign-vue-next/es/common").SizeEnum>;
            default: import("tdesign-vue-next/es/common").SizeEnum;
            validator(val: import("tdesign-vue-next/es/common").SizeEnum): boolean;
        };
        status: {
            type: PropType<"default" | "error" | "success" | "warning">;
            default: "default" | "error" | "success" | "warning";
            validator(val: "default" | "error" | "success" | "warning"): boolean;
        };
        suffix: {
            type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        suffixIcon: {
            type: PropType<(h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue>;
        };
        tips: {
            type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        type: {
            type: PropType<"number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel">;
            default: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
            validator(val: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel"): boolean;
        };
        value: {
            type: PropType<string>;
            default: any;
        };
        modelValue: {
            type: PropType<string>;
            default: any;
        };
        defaultValue: {
            type: PropType<string>;
            default: string;
        };
        onBlur: PropType<(value: string, context: {
            e: FocusEvent;
        }) => void>;
        onChange: PropType<(value: string, context?: {
            e?: MouseEvent | CompositionEvent | InputEvent;
            trigger: "initial" | "clear" | "input";
        }) => void>;
        onClear: PropType<(context: {
            e: MouseEvent;
        }) => void>;
        onClick: PropType<(context: {
            e: MouseEvent;
        }) => void>;
        onCompositionend: PropType<(value: string, context: {
            e: CompositionEvent;
        }) => void>;
        onCompositionstart: PropType<(value: string, context: {
            e: CompositionEvent;
        }) => void>;
        onEnter: PropType<(value: string, context: {
            e: KeyboardEvent;
        }) => void>;
        onFocus: PropType<(value: string, context: {
            e: FocusEvent;
        }) => void>;
        onKeydown: PropType<(value: string, context: {
            e: KeyboardEvent;
        }) => void>;
        onKeypress: PropType<(value: string, context: {
            e: KeyboardEvent;
        }) => void>;
        onKeyup: PropType<(value: string, context: {
            e: KeyboardEvent;
        }) => void>;
        onMouseenter: PropType<(context: {
            e: MouseEvent;
        }) => void>;
        onMouseleave: PropType<(context: {
            e: MouseEvent;
        }) => void>;
        onPaste: PropType<(context: {
            e: ClipboardEvent;
            pasteValue: string;
        }) => void>;
        onValidate: PropType<(context: {
            error?: "exceed-maximum" | "below-minimum";
        }) => void>;
        onWheel: PropType<(context: {
            e: WheelEvent;
        }) => void>;
    }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
        type: "number" | "submit" | "text" | "search" | "password" | "url" | "hidden" | "tel";
        name: string;
        value: string;
        autocomplete: string;
        autofocus: boolean;
        disabled: boolean;
        size: import("tdesign-vue-next/es/common").SizeEnum;
        readonly: boolean;
        status: "default" | "error" | "success" | "warning";
        placeholder: string;
        align: "center" | "left" | "right";
        modelValue: string;
        defaultValue: string;
        allowInputOverMax: boolean;
        showInput: boolean;
        keepWrapperWidth: boolean;
        allowTriggerBlur: boolean;
        autoWidth: boolean;
        clearable: boolean;
        showClearIconOnEmpty: boolean;
        showLimitNumber: boolean;
    }, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
    readonly TInputNumber: {
        new (...args: any[]): {
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                max: InputNumberValue;
                value: InputNumberValue;
                disabled: boolean;
                size: "small" | "medium" | "large";
                readonly: boolean;
                step: InputNumberValue;
                placeholder: string;
                min: InputNumberValue;
                modelValue: InputNumberValue;
                theme: "normal" | "column" | "row";
                autoWidth: boolean;
                largeNumber: boolean;
                allowInputOverLimit: boolean;
                decimalPlaces: number;
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                align: {
                    type: PropType<"center" | "left" | "right">;
                    validator(val: "center" | "left" | "right"): boolean;
                };
                allowInputOverLimit: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                autoWidth: BooleanConstructor;
                decimalPlaces: {
                    type: NumberConstructor;
                    default: any;
                };
                disabled: BooleanConstructor;
                format: {
                    type: PropType<(value: InputNumberValue, context?: {
                        fixedNumber?: InputNumberValue;
                    }) => InputNumberValue>;
                };
                inputProps: {
                    type: PropType<import("tdesign-vue-next").TdInputProps>;
                };
                label: {
                    type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                largeNumber: BooleanConstructor;
                max: {
                    type: PropType<InputNumberValue>;
                    default: number;
                };
                min: {
                    type: PropType<InputNumberValue>;
                    default: number;
                };
                placeholder: {
                    type: StringConstructor;
                    default: any;
                };
                readonly: BooleanConstructor;
                size: {
                    type: PropType<"small" | "medium" | "large">;
                    default: "small" | "medium" | "large";
                    validator(val: "small" | "medium" | "large"): boolean;
                };
                status: {
                    type: PropType<"default" | "error" | "success" | "warning">;
                    validator(val: "default" | "error" | "success" | "warning"): boolean;
                };
                step: {
                    type: PropType<InputNumberValue>;
                    default: number;
                };
                suffix: {
                    type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                theme: {
                    type: PropType<"normal" | "column" | "row">;
                    default: "normal" | "column" | "row";
                    validator(val: "normal" | "column" | "row"): boolean;
                };
                tips: {
                    type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                value: {
                    type: PropType<InputNumberValue>;
                    default: any;
                };
                modelValue: {
                    type: PropType<InputNumberValue>;
                    default: any;
                };
                defaultValue: {
                    type: PropType<InputNumberValue>;
                };
                onBlur: PropType<(value: InputNumberValue, context: {
                    e: FocusEvent;
                }) => void>;
                onChange: PropType<(value: InputNumberValue, context: import("tdesign-vue-next").ChangeContext) => void>;
                onEnter: PropType<(value: InputNumberValue, context: {
                    e: KeyboardEvent;
                }) => void>;
                onFocus: PropType<(value: InputNumberValue, context: {
                    e: FocusEvent;
                }) => void>;
                onKeydown: PropType<(value: InputNumberValue, context: {
                    e: KeyboardEvent;
                }) => void>;
                onKeypress: PropType<(value: InputNumberValue, context: {
                    e: KeyboardEvent;
                }) => void>;
                onKeyup: PropType<(value: InputNumberValue, context: {
                    e: KeyboardEvent;
                }) => void>;
                onValidate: PropType<(context: {
                    error?: "exceed-maximum" | "below-minimum";
                }) => void>;
            }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "value" | "disabled" | "size" | "modelValue" | "theme" | "autoWidth" | "max" | "placeholder" | "readonly" | "allowInputOverLimit" | "decimalPlaces" | "largeNumber" | "min" | "step">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $emit: ((event: string, ...args: any[]) => void) | ((event: string, ...args: any[]) => void);
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                align: {
                    type: PropType<"center" | "left" | "right">;
                    validator(val: "center" | "left" | "right"): boolean;
                };
                allowInputOverLimit: {
                    type: BooleanConstructor;
                    default: boolean;
                };
                autoWidth: BooleanConstructor;
                decimalPlaces: {
                    type: NumberConstructor;
                    default: any;
                };
                disabled: BooleanConstructor;
                format: {
                    type: PropType<(value: InputNumberValue, context?: {
                        fixedNumber?: InputNumberValue;
                    }) => InputNumberValue>;
                };
                inputProps: {
                    type: PropType<import("tdesign-vue-next").TdInputProps>;
                };
                label: {
                    type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                largeNumber: BooleanConstructor;
                max: {
                    type: PropType<InputNumberValue>;
                    default: number;
                };
                min: {
                    type: PropType<InputNumberValue>;
                    default: number;
                };
                placeholder: {
                    type: StringConstructor;
                    default: any;
                };
                readonly: BooleanConstructor;
                size: {
                    type: PropType<"small" | "medium" | "large">;
                    default: "small" | "medium" | "large";
                    validator(val: "small" | "medium" | "large"): boolean;
                };
                status: {
                    type: PropType<"default" | "error" | "success" | "warning">;
                    validator(val: "default" | "error" | "success" | "warning"): boolean;
                };
                step: {
                    type: PropType<InputNumberValue>;
                    default: number;
                };
                suffix: {
                    type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                theme: {
                    type: PropType<"normal" | "column" | "row">;
                    default: "normal" | "column" | "row";
                    validator(val: "normal" | "column" | "row"): boolean;
                };
                tips: {
                    type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                };
                value: {
                    type: PropType<InputNumberValue>;
                    default: any;
                };
                modelValue: {
                    type: PropType<InputNumberValue>;
                    default: any;
                };
                defaultValue: {
                    type: PropType<InputNumberValue>;
                };
                onBlur: PropType<(value: InputNumberValue, context: {
                    e: FocusEvent;
                }) => void>;
                onChange: PropType<(value: InputNumberValue, context: import("tdesign-vue-next").ChangeContext) => void>;
                onEnter: PropType<(value: InputNumberValue, context: {
                    e: KeyboardEvent;
                }) => void>;
                onFocus: PropType<(value: InputNumberValue, context: {
                    e: FocusEvent;
                }) => void>;
                onKeydown: PropType<(value: InputNumberValue, context: {
                    e: KeyboardEvent;
                }) => void>;
                onKeypress: PropType<(value: InputNumberValue, context: {
                    e: KeyboardEvent;
                }) => void>;
                onKeyup: PropType<(value: InputNumberValue, context: {
                    e: KeyboardEvent;
                }) => void>;
                onValidate: PropType<(context: {
                    error?: "exceed-maximum" | "below-minimum";
                }) => void>;
            }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, {
                max: InputNumberValue;
                value: InputNumberValue;
                disabled: boolean;
                size: "small" | "medium" | "large";
                readonly: boolean;
                step: InputNumberValue;
                placeholder: string;
                min: InputNumberValue;
                modelValue: InputNumberValue;
                theme: "normal" | "column" | "row";
                autoWidth: boolean;
                largeNumber: boolean;
                allowInputOverLimit: boolean;
                decimalPlaces: number;
            }, {}, string> & {
                beforeCreate?: (() => void) | (() => void)[];
                created?: (() => void) | (() => void)[];
                beforeMount?: (() => void) | (() => void)[];
                mounted?: (() => void) | (() => void)[];
                beforeUpdate?: (() => void) | (() => void)[];
                updated?: (() => void) | (() => void)[];
                activated?: (() => void) | (() => void)[];
                deactivated?: (() => void) | (() => void)[];
                beforeDestroy?: (() => void) | (() => void)[];
                beforeUnmount?: (() => void) | (() => void)[];
                destroyed?: (() => void) | (() => void)[];
                unmounted?: (() => void) | (() => void)[];
                renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void)[];
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T_1 extends string | ((...args: any) => any)>(source: T_1, cb: T_1 extends (...args: any) => infer R_1 ? (args_0: R_1, args_1: R_1) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            align: {
                type: PropType<"center" | "left" | "right">;
                validator(val: "center" | "left" | "right"): boolean;
            };
            allowInputOverLimit: {
                type: BooleanConstructor;
                default: boolean;
            };
            autoWidth: BooleanConstructor;
            decimalPlaces: {
                type: NumberConstructor;
                default: any;
            };
            disabled: BooleanConstructor;
            format: {
                type: PropType<(value: InputNumberValue, context?: {
                    fixedNumber?: InputNumberValue;
                }) => InputNumberValue>;
            };
            inputProps: {
                type: PropType<import("tdesign-vue-next").TdInputProps>;
            };
            label: {
                type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            largeNumber: BooleanConstructor;
            max: {
                type: PropType<InputNumberValue>;
                default: number;
            };
            min: {
                type: PropType<InputNumberValue>;
                default: number;
            };
            placeholder: {
                type: StringConstructor;
                default: any;
            };
            readonly: BooleanConstructor;
            size: {
                type: PropType<"small" | "medium" | "large">;
                default: "small" | "medium" | "large";
                validator(val: "small" | "medium" | "large"): boolean;
            };
            status: {
                type: PropType<"default" | "error" | "success" | "warning">;
                validator(val: "default" | "error" | "success" | "warning"): boolean;
            };
            step: {
                type: PropType<InputNumberValue>;
                default: number;
            };
            suffix: {
                type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            theme: {
                type: PropType<"normal" | "column" | "row">;
                default: "normal" | "column" | "row";
                validator(val: "normal" | "column" | "row"): boolean;
            };
            tips: {
                type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            };
            value: {
                type: PropType<InputNumberValue>;
                default: any;
            };
            modelValue: {
                type: PropType<InputNumberValue>;
                default: any;
            };
            defaultValue: {
                type: PropType<InputNumberValue>;
            };
            onBlur: PropType<(value: InputNumberValue, context: {
                e: FocusEvent;
            }) => void>;
            onChange: PropType<(value: InputNumberValue, context: import("tdesign-vue-next").ChangeContext) => void>;
            onEnter: PropType<(value: InputNumberValue, context: {
                e: KeyboardEvent;
            }) => void>;
            onFocus: PropType<(value: InputNumberValue, context: {
                e: FocusEvent;
            }) => void>;
            onKeydown: PropType<(value: InputNumberValue, context: {
                e: KeyboardEvent;
            }) => void>;
            onKeypress: PropType<(value: InputNumberValue, context: {
                e: KeyboardEvent;
            }) => void>;
            onKeyup: PropType<(value: InputNumberValue, context: {
                e: KeyboardEvent;
            }) => void>;
            onValidate: PropType<(context: {
                error?: "exceed-maximum" | "below-minimum";
            }) => void>;
        }>> & import("vue").ShallowUnwrapRef<() => JSX.Element> & import("vue").ComponentCustomProperties;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        align: {
            type: PropType<"center" | "left" | "right">;
            validator(val: "center" | "left" | "right"): boolean;
        };
        allowInputOverLimit: {
            type: BooleanConstructor;
            default: boolean;
        };
        autoWidth: BooleanConstructor;
        decimalPlaces: {
            type: NumberConstructor;
            default: any;
        };
        disabled: BooleanConstructor;
        format: {
            type: PropType<(value: InputNumberValue, context?: {
                fixedNumber?: InputNumberValue;
            }) => InputNumberValue>;
        };
        inputProps: {
            type: PropType<import("tdesign-vue-next").TdInputProps>;
        };
        label: {
            type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        largeNumber: BooleanConstructor;
        max: {
            type: PropType<InputNumberValue>;
            default: number;
        };
        min: {
            type: PropType<InputNumberValue>;
            default: number;
        };
        placeholder: {
            type: StringConstructor;
            default: any;
        };
        readonly: BooleanConstructor;
        size: {
            type: PropType<"small" | "medium" | "large">;
            default: "small" | "medium" | "large";
            validator(val: "small" | "medium" | "large"): boolean;
        };
        status: {
            type: PropType<"default" | "error" | "success" | "warning">;
            validator(val: "default" | "error" | "success" | "warning"): boolean;
        };
        step: {
            type: PropType<InputNumberValue>;
            default: number;
        };
        suffix: {
            type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        theme: {
            type: PropType<"normal" | "column" | "row">;
            default: "normal" | "column" | "row";
            validator(val: "normal" | "column" | "row"): boolean;
        };
        tips: {
            type: PropType<string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
        };
        value: {
            type: PropType<InputNumberValue>;
            default: any;
        };
        modelValue: {
            type: PropType<InputNumberValue>;
            default: any;
        };
        defaultValue: {
            type: PropType<InputNumberValue>;
        };
        onBlur: PropType<(value: InputNumberValue, context: {
            e: FocusEvent;
        }) => void>;
        onChange: PropType<(value: InputNumberValue, context: import("tdesign-vue-next").ChangeContext) => void>;
        onEnter: PropType<(value: InputNumberValue, context: {
            e: KeyboardEvent;
        }) => void>;
        onFocus: PropType<(value: InputNumberValue, context: {
            e: FocusEvent;
        }) => void>;
        onKeydown: PropType<(value: InputNumberValue, context: {
            e: KeyboardEvent;
        }) => void>;
        onKeypress: PropType<(value: InputNumberValue, context: {
            e: KeyboardEvent;
        }) => void>;
        onKeyup: PropType<(value: InputNumberValue, context: {
            e: KeyboardEvent;
        }) => void>;
        onValidate: PropType<(context: {
            error?: "exceed-maximum" | "below-minimum";
        }) => void>;
    }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, {
        max: InputNumberValue;
        value: InputNumberValue;
        disabled: boolean;
        size: "small" | "medium" | "large";
        readonly: boolean;
        step: InputNumberValue;
        placeholder: string;
        min: InputNumberValue;
        modelValue: InputNumberValue;
        theme: "normal" | "column" | "row";
        autoWidth: boolean;
        largeNumber: boolean;
        allowInputOverLimit: boolean;
        decimalPlaces: number;
    }, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
    readonly TSwitch: {
        new (...args: any[]): {
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                value: import("tdesign-vue-next").SwitchValue;
                loading: boolean;
                label: (string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                    value: import("tdesign-vue-next").SwitchValue;
                }) => import("tdesign-vue-next/es/common").SlotReturnValue);
                disabled: boolean;
                size: "small" | "medium" | "large";
                modelValue: import("tdesign-vue-next").SwitchValue;
                defaultValue: import("tdesign-vue-next").SwitchValue;
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                customValue: {
                    type: PropType<import("tdesign-vue-next").SwitchValue[]>;
                };
                disabled: BooleanConstructor;
                label: {
                    type: PropType<(string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                        value: import("tdesign-vue-next").SwitchValue;
                    }) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    default: () => (string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                        value: import("tdesign-vue-next").SwitchValue;
                    }) => import("tdesign-vue-next/es/common").SlotReturnValue);
                };
                loading: BooleanConstructor;
                size: {
                    type: PropType<"small" | "medium" | "large">;
                    default: "small" | "medium" | "large";
                    validator(val: "small" | "medium" | "large"): boolean;
                };
                modelValue: {
                    type: PropType<import("tdesign-vue-next").SwitchValue>;
                    default: any;
                };
                value: {
                    type: PropType<import("tdesign-vue-next").SwitchValue>;
                    default: any;
                };
                defaultValue: {
                    type: PropType<import("tdesign-vue-next").SwitchValue>;
                    default: boolean;
                };
                onChange: PropType<(value: import("tdesign-vue-next").SwitchValue) => void>;
            }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "value" | "disabled" | "size" | "modelValue" | "loading" | "defaultValue" | "label">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
            $emit: (event: string, ...args: any[]) => void;
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                customValue: {
                    type: PropType<import("tdesign-vue-next").SwitchValue[]>;
                };
                disabled: BooleanConstructor;
                label: {
                    type: PropType<(string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                        value: import("tdesign-vue-next").SwitchValue;
                    }) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                    default: () => (string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                        value: import("tdesign-vue-next").SwitchValue;
                    }) => import("tdesign-vue-next/es/common").SlotReturnValue);
                };
                loading: BooleanConstructor;
                size: {
                    type: PropType<"small" | "medium" | "large">;
                    default: "small" | "medium" | "large";
                    validator(val: "small" | "medium" | "large"): boolean;
                };
                modelValue: {
                    type: PropType<import("tdesign-vue-next").SwitchValue>;
                    default: any;
                };
                value: {
                    type: PropType<import("tdesign-vue-next").SwitchValue>;
                    default: any;
                };
                defaultValue: {
                    type: PropType<import("tdesign-vue-next").SwitchValue>;
                    default: boolean;
                };
                onChange: PropType<(value: import("tdesign-vue-next").SwitchValue) => void>;
            }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
                value: import("tdesign-vue-next").SwitchValue;
                loading: boolean;
                label: (string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                    value: import("tdesign-vue-next").SwitchValue;
                }) => import("tdesign-vue-next/es/common").SlotReturnValue);
                disabled: boolean;
                size: "small" | "medium" | "large";
                modelValue: import("tdesign-vue-next").SwitchValue;
                defaultValue: import("tdesign-vue-next").SwitchValue;
            }, {}, string> & {
                beforeCreate?: (() => void) | (() => void)[];
                created?: (() => void) | (() => void)[];
                beforeMount?: (() => void) | (() => void)[];
                mounted?: (() => void) | (() => void)[];
                beforeUpdate?: (() => void) | (() => void)[];
                updated?: (() => void) | (() => void)[];
                activated?: (() => void) | (() => void)[];
                deactivated?: (() => void) | (() => void)[];
                beforeDestroy?: (() => void) | (() => void)[];
                beforeUnmount?: (() => void) | (() => void)[];
                destroyed?: (() => void) | (() => void)[];
                unmounted?: (() => void) | (() => void)[];
                renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void)[];
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T_2 extends string | ((...args: any) => any)>(source: T_2, cb: T_2 extends (...args: any) => infer R_2 ? (args_0: R_2, args_1: R_2) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            customValue: {
                type: PropType<import("tdesign-vue-next").SwitchValue[]>;
            };
            disabled: BooleanConstructor;
            label: {
                type: PropType<(string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                    value: import("tdesign-vue-next").SwitchValue;
                }) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
                default: () => (string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                    value: import("tdesign-vue-next").SwitchValue;
                }) => import("tdesign-vue-next/es/common").SlotReturnValue);
            };
            loading: BooleanConstructor;
            size: {
                type: PropType<"small" | "medium" | "large">;
                default: "small" | "medium" | "large";
                validator(val: "small" | "medium" | "large"): boolean;
            };
            modelValue: {
                type: PropType<import("tdesign-vue-next").SwitchValue>;
                default: any;
            };
            value: {
                type: PropType<import("tdesign-vue-next").SwitchValue>;
                default: any;
            };
            defaultValue: {
                type: PropType<import("tdesign-vue-next").SwitchValue>;
                default: boolean;
            };
            onChange: PropType<(value: import("tdesign-vue-next").SwitchValue) => void>;
        }>> & import("vue").ShallowUnwrapRef<() => JSX.Element> & import("vue").ComponentCustomProperties;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        customValue: {
            type: PropType<import("tdesign-vue-next").SwitchValue[]>;
        };
        disabled: BooleanConstructor;
        label: {
            type: PropType<(string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                value: import("tdesign-vue-next").SwitchValue;
            }) => import("tdesign-vue-next/es/common").SlotReturnValue)>;
            default: () => (string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
                value: import("tdesign-vue-next").SwitchValue;
            }) => import("tdesign-vue-next/es/common").SlotReturnValue);
        };
        loading: BooleanConstructor;
        size: {
            type: PropType<"small" | "medium" | "large">;
            default: "small" | "medium" | "large";
            validator(val: "small" | "medium" | "large"): boolean;
        };
        modelValue: {
            type: PropType<import("tdesign-vue-next").SwitchValue>;
            default: any;
        };
        value: {
            type: PropType<import("tdesign-vue-next").SwitchValue>;
            default: any;
        };
        defaultValue: {
            type: PropType<import("tdesign-vue-next").SwitchValue>;
            default: boolean;
        };
        onChange: PropType<(value: import("tdesign-vue-next").SwitchValue) => void>;
    }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
        value: import("tdesign-vue-next").SwitchValue;
        loading: boolean;
        label: (string | ((h: typeof import("vue").h) => import("tdesign-vue-next/es/common").SlotReturnValue))[] | ((h: typeof import("vue").h, props: {
            value: import("tdesign-vue-next").SwitchValue;
        }) => import("tdesign-vue-next/es/common").SlotReturnValue);
        disabled: boolean;
        size: "small" | "medium" | "large";
        modelValue: import("tdesign-vue-next").SwitchValue;
        defaultValue: import("tdesign-vue-next").SwitchValue;
    }, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "finish")[], "update:modelValue" | "finish", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        default: string;
    };
    type: {
        type: StringConstructor;
        default: string;
    };
    autoFocus: {
        type: PropType<boolean>;
        default: boolean;
    };
    blurFinish: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    "onUpdate:modelValue"?: (...args: any[]) => any;
    onFinish?: (...args: any[]) => any;
}, {
    type: string;
    modelValue: string;
    autoFocus: boolean;
    blurFinish: boolean;
}>;
export default _sfc_main;
