export declare function is(val: unknown, type: string): boolean;
export declare const isDef: <T = unknown>(val?: T) => val is T;
export declare const isUnDef: <T = unknown>(val?: T) => val is T;
export declare const isObject: (val: any) => val is Record<any, any>;
export declare function isDate(val: unknown): val is Date;
export declare function isNull(val: unknown): val is null;
export declare function isNumber(val: unknown): val is number;
export declare const isFunction: (val: unknown) => val is Function;
export declare function isPromise<T = any>(val: unknown): val is Promise<T>;
export declare function isString(val: unknown): val is string;
export declare function isBoolean(val: unknown): val is boolean;
export declare function isRegExp(val: unknown): val is RegExp;
export declare function isArray(val: any): val is Array<any>;
export declare const isWindow: (val: any) => val is Window;
export declare const isElement: (val: unknown) => val is Element;
export declare const isServer: boolean;
export declare const isClient: boolean;
export declare function isImageDom(o: Element): boolean;
export declare const isTextarea: (element: Element | null) => element is HTMLTextAreaElement;
export declare function isNullOrUnDef(val: unknown): val is null | undefined;
